--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The IP address of the host
  name: addr
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The hostname of the host
  name: hostname
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: The round-trip time of the host
  name: rtt
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: How many hops away the host is
  name: ttl
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: This holds information on an individual traceroute hop
constants: []

full_name: Nmap::Parser::Host::Traceroute::Hop
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: <=>
name: Hop
superclass: Object
